Bug 472428 - Manual intervention required to complete boot of 2.6.27 kernel(s) on my AMD x64 system
Manual intervention required to complete boot of 2.6.27 kernel(s) on my AMD x...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 14:35 EST by Peter Trenholme
Modified: 2009-07-14 10:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:25:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output after successful boot using nohpet option (39.14 KB, text/plain)
2008-11-25 12:40 EST, Peter Trenholme
no flags Details

  None (edit)
Description Peter Trenholme 2008-11-20 14:35:34 EST
Description of problem: Manual intervention is required to complete boot using kernels 2.6.27.5-41.fc9.x86_64 and 2.6.27.5-37.fc9.x86_64


Version-Release number of selected component (if applicable):
2.6.27.5-41.fc9.x86_64
2.6.27.5-37.fc9.x86_64

How reproducible:
Every boot

Steps to Reproduce:
1. Boot
  
Actual results:
Hangs waiting for a key-press before accessing a USB device.
Hangs waiting for a key-press on SATA errors.

Expected results:
Log errors to log file and proceed. (Behavior seen in 2.6.26 kernels.)

Additional info:
1) The key-press I found to work is the control key, which I discovered when I started to do a control-alt-delete to reboot to the 2.6.26 kernel (which worked as expected). I suspect that any key would work, but have not confirmed that suspicion.

2) The USB device that hangs the boot is a Gyration mouse, and no error messages are generated for it in the log.

3) The ATA errors are generated because (my unconfirmed suspicion is) of a BIOS error which causes read errors at 3Gb/sec. The drive works well at 1.5Gb/sec, but the kernels insist on displaying the error message on-screen during the boot before resetting the rate, and now wait for the key-press before doing even that. (Multiple key-presses are required to complete the boot sequence.)
Comment 1 Chuck Ebbert 2008-11-24 18:12:22 EST
Can you post the contents of /var/log/dmesg (as an attachment) after booting?

Also, try the boot option "nohpet".
Comment 2 Peter Trenholme 2008-11-25 12:40:57 EST
Created attachment 324634 [details]
dmesg output after successful boot using nohpet option
Comment 3 Peter Trenholme 2008-11-25 12:45:20 EST
The nohpet option eliminated the need for the keypress.

F.Y.I., without the nohpet option, booting the 2.6.27 kernel on this laptop from a USB drive installation also required a keypress to get the USB drive access to work.
Comment 4 Bug Zapper 2009-06-09 23:19:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:25:38 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Peter Trenholme 2009-07-14 10:47:01 EDT
Oops, sorry - I should have closed this: The bug was fixed in kernel 2.6.28.

Note You need to log in before you can comment on or make changes to this bug.